Replace the task types allowed for an asset type in a project template, instead of the studio workflow. An empty list restores the studio workflow. The asset type and the task types must be in the template, and the task types must be asset task types. You must be an administrator.
PUT
/data/project-templates/{project_template_id}/asset-types/{asset_type_id}/task-types
curl \
--request PUT '/api/data/project-templates/a24a6ea4-ce75-4665-a070-57453082c250/asset-types/a24a6ea4-ce75-4665-a070-57453082c250/task-types' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"task_type_ids": [
"c46c8fc6-e097-6887-c292-796752040e47"
]
}'
Request examples
{
"task_type_ids": [
"c46c8fc6-e097-6887-c292-796752040e47"
]
}
Response examples (200)
{
"id": "b35b7fb5-df86-5776-b181-68564193d360",
"workflow": [
"c46c8fc6-e097-6887-c292-796752040e47"
]
}